# $Cambridge: exim/exim-src/src/EDITME,v 1.15 2005/09/19 14:42:31 ph10 Exp $

EXTRALIBS_EXIM=-L/usr/local/lib 
CFLAGS=-O3 -pipe -I/usr/local/include -mmmx -msse3 -mfpmath=sse -m64
#CFLAGS_DYNAMIC=-shared -rdynamic
CFLAGS_DYNAMIC=

#EXPERIMENTAL_DKIM=yes
LDFLAGS += -lssl -lstdc++ -lcrypto -lpcre

#EXPERIMENTAL_DOMAINKEYS=yes
#LDFLAGS += -ldomainkeys

BIN_DIRECTORY=/opt/exim

CONFIGURE_FILE=/etc/exim/exim.conf

EXIM_USER=ref:_exim
SPOOL_DIRECTORY=/var/spool/exim
INCLUDE=-I/usr/local/include/mysql

ROUTER_ACCEPT=yes
ROUTER_DNSLOOKUP=yes
ROUTER_IPLITERAL=yes
ROUTER_MANUALROUTE=yes
ROUTER_QUERYPROGRAM=yes
ROUTER_REDIRECT=yes

# ROUTER_IPLOOKUP=yes

TRANSPORT_APPENDFILE=yes
TRANSPORT_AUTOREPLY=yes
TRANSPORT_PIPE=yes
TRANSPORT_SMTP=yes

# TRANSPORT_LMTP=yes

 SUPPORT_MAILDIR=yes
# SUPPORT_MAILSTORE=yes
# SUPPORT_MBX=yes

LOOKUP_DBM=yes
LOOKUP_LSEARCH=yes

 LOOKUP_CDB=yes
 LOOKUP_DNSDB=yes
# LOOKUP_DSEARCH=yes
# LOOKUP_IBASE=yes
# LOOKUP_LDAP=yes
 LOOKUP_MYSQL=yes
# LOOKUP_NIS=yes
# LOOKUP_NISPLUS=yes
# LOOKUP_ORACLE=yes
# LOOKUP_PASSWD=yes
# LOOKUP_PGSQL=yes
# LOOKUP_SQLITE=yes
# LOOKUP_WHOSON=yes

# LOOKUP_WILDLSEARCH=yes
# LOOKUP_NWILDLSEARCH=yes

# LDAP_LIB_TYPE=OPENLDAP1
# LDAP_LIB_TYPE=OPENLDAP2
# LDAP_LIB_TYPE=NETSCAPE
# LDAP_LIB_TYPE=SOLARIS

LOOKUP_INCLUDE=-I /usr/local/include/mysql
LOOKUP_LIBS=-L/usr/local/lib/mysql -lmysqlclient

#EXIM_MONITOR=eximon.bin

 WITH_CONTENT_SCAN=yes

# WITH_OLD_DEMIME=yes

##EXPERIMENTAL_SPF=yes
##LDFLAGS += -lspf2

# EXPERIMENTAL_SRS=yes
# CFLAGS  += -I/usr/local/include
# LDFLAGS += -lsrs_alt

FIXED_NEVER_USERS=root:bin:daemon:_portmap:_identd:_rstatd:_rusersd:_fingerd:_x11:_kdc:_kadmin:_spamd:_isakmpd:_syslogd:_pflogd:_bgpd:_tcpdump:_dhcp:_mopd:_tftpd:_rbootd:_afs:_ppp:_ntp:_ftp:_ospfd:_hostapd:_dvmrpd:_ripd:_relayd:_ospf6:_snmpd:_mysql:_clamav:_dovecot:_sasl:_rtadvd:_ypldap:


 AUTH_CRAM_MD5=yes
# AUTH_CYRUS_SASL=yes
 AUTH_PLAINTEXT=yes
 AUTH_SPA=yes
 AUTH_DOVECOT=yes

#AUTH_LIBS=-lsasl2

HEADERS_CHARSET="ISO-8859-1"

HAVE_ICONV=yes
EXTRALIBS_EXIM=-L/usr/local/lib -liconv

SUPPORT_TLS=yes
TLS_LIBS=-lssl -lcrypto
TLS_INCLUDE=-I/usr/include/openssl

LOG_FILE_PATH=/var/log/exim/%slog

SYSLOG_LOG_PID=yes

EXICYCLOG_MAX=365

COMPRESS_COMMAND=/usr/bin/gzip
COMPRESS_SUFFIX=gz

ZCAT_COMMAND=/usr/bin/zcat

# EXIM_PERL=perl.o

# SUPPORT_PAM=yes

# RADIUS_CONFIG_FILE=/etc/radiusclient/radiusclient.conf
# RADIUS_CONFIG_FILE=/etc/radius.conf

# RADIUS_LIB_TYPE=RADIUSCLIENT
# RADIUS_LIB_TYPE=RADIUSCLIENTNEW
# RADIUS_LIB_TYPE=RADLIB

# RADIUSCLIENT is the radiusclient library; you probably need to add
#   -lradiusclient to EXTRALIBS.

# CYRUS_PWCHECK_SOCKET=/var/pwcheck/pwcheck
#CYRUS_SASLAUTHD_SOCKET=/var/run/saslauthd/mux
# USE_TCP_WRAPPERS=yes
# USE_TCP_WRAPPERS=yes
# EXTRALIBS_EXIM=-L/usr/local/lib -lwrap

# NO_SYMLINK=yes

SYSTEM_ALIASES_FILE=/etc/aliases

# USE_READLINE=yes

TMPDIR="/tmp"

